View Issue Details

IDProjectCategoryView StatusLast Update
14688Bug reports[All Projects] Translationpublic2019-04-02 16:42
Reporterlfuchs Assigned Todominikvitt  
PrioritynoneSeveritytext 
Status closedResolutionfixed 
Product Version3.16.x 
Target VersionFixed in Version3.17.x 
Summary14688: No translation for «Presentation & navigation settings»
Description

When clicking in the menu "Umfrage-Einstellungen" the translation in the breadcrump is always in english than in german. This mistake is in every menu point in the "Umfrage-Einstellungen". See picture.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.8+190130
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionunknown
Server OS (if known)
Webserver software & version (if known)
PHP Versionunknown

Activities

lfuchs

lfuchs

2019-03-26 11:06

reporter  

german translation.jpg (74,184 bytes)
german translation.jpg (74,184 bytes)
DenisChenu

DenisChenu

2019-03-27 09:22

developer   ~51145

Seems it's not in translation : https://translate.limesurvey.org/projects/limesurvey-3/de/default/?filters%5Bterm%5D=navigation+setttings&filters%5Buser_login%5D=&filters%5Bstatus%5D=current_or_waiting_or_fuzzy_or_untranslated&filter=Filter&sort%5Bby%5D=priority&sort%5Bhow%5D=desc

DenisChenu

DenisChenu

2019-03-27 09:30

developer   ~51146

Last edited: 2019-03-27 09:33

View 3 revisions

@dominikvitt : the string is here : https://github.com/LimeSurvey/LimeSurvey/blob/0cc942944338d2a43805019e773ef458ad5a0272/application/core/LsDefaultDataSets.php#L19
And are in https://github.com/LimeSurvey/LimeSurvey/blob/0cc942944338d2a43805019e773ef458ad5a0272/locale/_template/limesurvey.pot#L5685

I don't understand why it's not in translate.limesurvey.org, maybe translate need update ?

[Edit] It's here : https://translate.limesurvey.org/projects/limesurvey-3/de/default/?filters%5Bterm%5D=navigation&filters%5Buser_login%5D=&filters%5Bstatus%5D=current_or_waiting_or_fuzzy_or_untranslated&filter=Filter&sort%5Bby%5D=priority&sort%5Bhow%5D=desc
Why not translated ? & VS &

Same issue after reset all menues

dominikvitt

dominikvitt

2019-03-27 10:44

developer   ~51149

This issue is fixed:
https://github.com/LimeSurvey/LimeSurvey/commit/fb030cb81a4d2205762539e58f4792f6eda58eae

@DenisChenu: this issue wasn't about translation being incorrect in translation database, but about translation function not being applied in the code

DenisChenu

DenisChenu

2019-03-27 10:58

developer   ~51150

Great \o/ Thanks :).

DenisChenu

DenisChenu

2019-03-27 11:02

developer   ~51151

Seems still an issue : surely due to & VS &
I download the mo file from https://translate.limesurvey.org/projects/limesurvey-3/fr/default/?filters[term]=navigation&filters[user_login]=&filters[status]=current_or_waiting_or_fuzzy_or_untranslated&filter=Filter&sort[by]=priority&sort[how]=desc where it's translated to «Paramètres de présentation et de navigation»

But still an issue.

Simplest solution : use Presentation and navigation settings

DenisChenu

DenisChenu

2019-03-27 11:02

developer  

dominikvitt

dominikvitt

2019-03-27 11:20

developer   ~51154

It works for German correctly, so I don't see why it wouldn't work for French.

dominikvitt

dominikvitt

2019-03-27 11:24

developer   ~51155

Just checked French translation on my installation, it translate to "Paramètres de présentation et de navigation ", so it is as expected.
Issue you are experiencing is due changes on your installation.

DenisChenu

DenisChenu

2019-03-27 11:36

developer   ~51158

Arg … sorry … sorry … sorry … sorry … just don't see the fix is done just now …

OK, great \o/

Issue History

Date Modified Username Field Change
2019-03-26 11:06 lfuchs New Issue
2019-03-26 11:06 lfuchs File Added: german translation.jpg
2019-03-27 09:22 DenisChenu Note Added: 51145
2019-03-27 09:24 DenisChenu Summary German Translation incomplete => No translation for «Presentation & navigation settings»
2019-03-27 09:24 DenisChenu Assigned To => DenisChenu
2019-03-27 09:24 DenisChenu Status new => assigned
2019-03-27 09:24 DenisChenu Product Version 3.15.x => 3.16.x
2019-03-27 09:28 DenisChenu Assigned To DenisChenu => dominikvitt
2019-03-27 09:30 DenisChenu Note Added: 51146
2019-03-27 09:33 DenisChenu Note Edited: 51146 View Revisions
2019-03-27 09:33 DenisChenu Note Edited: 51146 View Revisions
2019-03-27 10:44 dominikvitt Status assigned => resolved
2019-03-27 10:44 dominikvitt Resolution open => fixed
2019-03-27 10:44 dominikvitt Fixed in Version => 3.16.x
2019-03-27 10:44 dominikvitt Note Added: 51149
2019-03-27 10:58 DenisChenu Note Added: 51150
2019-03-27 11:02 DenisChenu Status resolved => feedback
2019-03-27 11:02 DenisChenu Resolution fixed => reopened
2019-03-27 11:02 DenisChenu Note Added: 51151
2019-03-27 11:02 DenisChenu File Added: Capture d’écran du 2019-03-27 11-00-32.png
2019-03-27 11:20 dominikvitt Note Added: 51154
2019-03-27 11:24 dominikvitt Status feedback => resolved
2019-03-27 11:24 dominikvitt Resolution reopened => fixed
2019-03-27 11:24 dominikvitt Note Added: 51155
2019-03-27 11:36 DenisChenu Note Added: 51158
2019-04-02 16:42 ollehar Status resolved => closed
2019-04-02 16:42 ollehar Fixed in Version 3.16.x => 3.17.x